Subject: Re: [PATCH 1/1] shallow: fix relative deepen on non-shallow repositories

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 17:30:53 +0900

René Scharfe <[email-masked]> writes:

> Perhaps, but no warning has been given for deepening a non-shallow repo
> since the introduction of this option by cccf74e2da (fetch, upload-pack:
> --deepen=N extends shallow boundary by N commits, 2016-06-12).
>
> The best place for such a warning would be close to the user, in fetch,
> no?  And in its own patch.

Yeah, the lack of warning may or may not be considered a bug, but I
agree that it is totally orthogonal to the problem the patch is
trying to address.

Thanks.